<div class='info' #invoice>
  <h2 i18n>Load Info</h2>
  <p i18n>Name: {{data.name}}</p>
  <p i18n>Status: {{data.status}}</p>
  <p *ngIf='data.state' i18n>State: {{data.state}}</p>
  <p *ngIf='data.assigned_to' i18n>Assigned to: {{data.assigned_to}}</p>
  <p i18n>Payload: {{data.payload}}</p>
  <p i18n>Pick-Up address: {{data.pickup_address}}</p>
  <p i18n>Delivery address: {{data.delivery_address}}</p>
  <p i18n>Created Date: {{data.created_date| date:'medium'}}</p>
  <h3 *ngIf='data.logs[0]' i18n>Logs:</h3>
  <div class='logs'>
    <p *ngIf='data!.logs[0]' i18n>Message: {{data.logs[0].message}}</p>
    <p *ngIf='data!.logs[0]' i18n>Time: {{data.logs[0].time| date:'medium'}}</p>
  </div>
  <h3 i18n>Dimensions:</h3>
  <div class='dimension'>
    <p i18n>Width: {{data.dimensions.width}}</p>
    <p i18n>Length: {{data.dimensions.length}}</p>
    <p i18n>Height: {{data.dimensions.height}}</p>
  </div>
  <div class='buttons'>
    <div #map>
      <button mat-icon-button color="accent" aria-label="Example icon button with a menu icon" (click)='openMap()'>
        <mat-icon>map</mat-icon>
      </button>
    </div>
    <div #buttons>
      <button *ngIf='data.status === "NEW"' class='btn' mat-raised-button color="primary" (click)='postLoad()' i18n>Post</button>
      <button *ngIf='data.status === "NEW"' mat-raised-button color="warn" (click)='deleteLoad()' i18n>Delete</button>
      <button *ngIf='userRole === "DRIVER" && data.status !== "SHIPPED"' class='btn' mat-raised-button color="primary" (click)='iterateLoad()' i18n>Change State</button>
      <button *ngIf='data.status === "SHIPPED"' class='btn' mat-raised-button color="primary" (click)='generateExcel()' i18n>Get Report Excel</button>
      <button *ngIf='data.status === "SHIPPED"' mat-raised-button color="primary" (click)='generatePDF()' i18n>Get Report PDF</button>
    </div>
  </div>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>
</div>
